# プラットフォーム利用料収入サマリー 一覧取得

`GET /v1/platform_accounts/{id}/summary`

- operationId: `retrievePlatformAccountSummaryList`
- tags: プラットフォーム利用料収入

IDで指定したプラットフォーム利用料収入のサマリーを一覧で取得します。クエリパラメータを指定して取得する条件を絞り込めます。\
サマリー情報の中にはテナントショップごとの利用料収入についての情報が含まれます。


## コードサンプル

### cURL

```bash
curl \
    -X GET \
    -H "Authorization:Bearer <Secret API Key>" \
'https://api.test.fincode.jp/v1/platform_accounts/{id}/summary'
```

### Node.js

```javascript
import { createFincode } from "@fincode/node";

const API_KEY = "<Secret API Key>";

(async () => {
    const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });

    const platformAccountId = "<Platform Account ID>";

    try {
        // リクエストの送信
        const platformSummaries =
            await fincode.platformAccounts.retrieveSummaryList(
                platformAccountId
            );
    } catch (e) {
        // エラーの処理
    }
})();
```

### Go

```go
package main

import (
	"fmt"
	"log"
	"net/http"
)

func main() {

	apiKey := "<Secret API Key>"

	platformAccountID := "<Platform Account ID>"

	// リクエストの作成
	req, _ := http.NewRequest(
		"GET",
		fmt.Sprintf("https://api.test.fincode.jp/v1/platform_accounts/%s/summary", platformAccountID),
		nil,
	)
	req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))

	params := req.URL.Query()
	params.Add("limit", "10")
	req.URL.RawQuery = params.Encode()

	// リクエストの送信
	client := &http.Client{}
	res, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer res.Body.Close()

}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';

$platformAccountId = '<Platform Account ID>';

$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/platform_accounts/{$platformAccountId}/summary";
$queryParams = [
    "limit" => 10,
];

$headers = [
    "Authorization: Bearer " . $apiKey,
];

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint . '?' . http_build_query($queryParams));
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_HTTPGET, true);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

$response = curl_exec($session);

if ($response === false) {
    # エラー処理
    echo "cURL Error: " . curl_error($session);
} else {
    # APIからのデータを処理
    var_dump($response);
}

curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'

platform_account_id = '<Platform Account ID>'

url = f'https://api.test.fincode.jp/v1/platform_accounts/{platform_account_id}/summary'
query_params = {
    'limit': "10",
}

# ヘッダーを設定
headers = {
    'Authorization': f'Bearer {api_key}',
}

try:
    response = requests.get(url, headers=headers, params=query_params)

    # レスポンスの処理
    if response.status_code == 200:
        # APIからのデータを処理
        print(f"Success: {response.json()}")
    else:
        # エラーの処理
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    # 通信エラーの処理
    print(f"Request error: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'

API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
    platform_account_id = '<Platform Account ID>'

    endpoint = "/v1/platform_accounts/#{platform_account_id}/summary"
    query_params =  { limit: 10 }

    uri = URI.parse(BASE_URL + endpoint)
    uri.query = URI.encode_www_form(query_params)

    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true

    # リクエストの作成
    request = Net::HTTP::Get.new(uri.request_uri)
    request['Authorization'] = "Bearer #{API_KEY}"

    # リクエストの送信
    response = http.request(request)

    case response
    when Net::HTTPSuccess
        puts 'SUCCESS'
    else
        puts 'ERROR'
    end

    # レスポンスの表示
    puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `id` | path | ✓ | PlatformAccountId_schema | プラットフォーム利用料収入ID |
| `クエリ` | query |  | Pagination.QueryParams | プラットフォーム利用料による売上入金情報の一覧取得において検索条件となるクエリパラメータ |

## レスポンス

### 200 リクエストに成功

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `total_count` | integer |  | 総件数 |
| `last_page` | integer |  | 最後のページのページ数 |
| `current_page` | integer |  | 現在のページのページ数 |
| `limit` | integer |  | 1ページの最大件数 |
| `link_next` | string |  | 次のページのコンテンツを取得するためのURL |
| `link_previous` | string |  | 前のページのコンテンツを取得するためのURL |
| `list` | array<PlatformAccountSummary> |  | プラットフォーム利用料収入のサマリー情報のリスト |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

